basePath: /
definitions:
  models.Address:
    properties:
      value:
        type: string
    type: object
  models.GeoResponse:
    properties:
      suggestions:
        items:
          $ref: '#/definitions/models.Address'
        type: array
    type: object
  models.SearchRequest:
    properties:
      query:
        type: string
    type: object
  service.UserReq:
    properties:
      password:
        example: pass
        type: string
      username:
        example: admin
        type: string
    type: object
host: localhost:8080
info:
  contact: {}
  description: Геосервис API с авторизацией
  title: задача Реализация кэширования истории поиска
  version: "2.0"
paths:
  /api/address/search:
    post:
      consumes:
      - application/json
      description: Поиск адреса./
      operationId: search
      parameters:
      - description: Search request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/models.SearchRequest'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/models.GeoResponse'
        "400":
          description: Bad request
          schema:
            type: string
        "500":
          description: Internal server error
          schema:
            type: string
      summary: Поиск адреса
      tags:
      - geocode
  /api/login:
    post:
      consumes:
      - application/json
      description: Логин пользователя.
      parameters:
      - description: User request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/service.UserReq'
      produces:
      - application/json
      responses:
        "200":
          description: User logged in
          schema:
            type: string
        "400":
          description: Bad request
          schema:
            type: string
        "401":
          description: Invalid credentials
          schema:
            type: string
      summary: Логин пользователя
      tags:
      - auth
  /api/register:
    post:
      consumes:
      - application/json
      description: Регистрация нового пользователя.
      parameters:
      - description: User request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/service.UserReq'
      produces:
      - application/json
      responses:
        "200":
          description: User registered
          schema:
            type: string
        "400":
          description: Bad request
          schema:
            type: string
      summary: Регистрация нового пользователя
      tags:
      - auth
swagger: "2.0"
